[GRASS-SVN] r30446 - grass/trunk/scripts/v.db.dropcol
svn_grass at osgeo.org
svn_grass at osgeo.org
Mon Mar 3 11:41:53 EST 2008
Author: msieczka
Date: 2008-03-03 11:41:52 -0500 (Mon, 03 Mar 2008)
New Revision: 30446
Modified:
grass/trunk/scripts/v.db.dropcol/v.db.dropcol
Log:
Stripping periods off the messages.
Modified: grass/trunk/scripts/v.db.dropcol/v.db.dropcol
===================================================================
--- grass/trunk/scripts/v.db.dropcol/v.db.dropcol 2008-03-03 16:41:25 UTC (rev 30445)
+++ grass/trunk/scripts/v.db.dropcol/v.db.dropcol 2008-03-03 16:41:52 UTC (rev 30446)
@@ -48,7 +48,7 @@
if [ -z "$GISBASE" ] ; then
- echo 'You must be in GRASS GIS to run this program.' >&2
+ echo 'You must be in GRASS GIS to run this program' >&2
exit 1
fi
@@ -67,7 +67,7 @@
#### setup temporary file
TMP="`g.tempfile pid=$$`"
if [ $? -ne 0 ] || [ -z "$TMP" ] ; then
- g.message -e 'Unable to create temporary files.'
+ g.message -e 'Unable to create temporary files'
exit 1
fi
@@ -93,13 +93,13 @@
# does map exist in CURRENT mapset?
eval `g.findfile element=vector file=$GIS_OPT_MAP mapset=$MAPSET`
if [ ! "$file" ] ; then
- g.message -e "Vector map <$GIS_OPT_MAP> not found in current mapset."
+ g.message -e "Vector map <$GIS_OPT_MAP> not found in current mapset"
exit 1
fi
table=`v.db.connect map=$GIS_OPT_MAP -g | grep -w $GIS_OPT_LAYER | cut -f2 -d" "`
if [ -z "$table" ] ; then
- g.message -e 'There is no table connected to the input vector map! Cannot delete any column.'
+ g.message -e 'There is no table connected to the input vector map! Cannot delete any column'
cleanup
exit 1
fi
@@ -110,14 +110,14 @@
if [ "$col" = "$keycol" ] ; then
g.message -e "Cannot delete <$col> column as it is needed to keep table\
- <$table> connected to the input vector map <$GIS_OPT_MAP>."
+ <$table> connected to the input vector map <$GIS_OPT_MAP>"
cleanup
exit 1
fi
v.info --q -c map=$GIS_OPT_MAP layer=$GIS_OPT_LAYER | cut -d'|' -f1,2 | grep "|${col}$" 2>&1 >/dev/null
if [ $? -ne 0 ] ; then
- g.message -e "Column <$col> not found in table <$table>."
+ g.message -e "Column <$col> not found in table <$table>"
cleanup
exit 1
fi
@@ -141,14 +141,14 @@
COMMIT;" > $TMP
db.execute input=$TMP
if [ $? -eq 1 ] ; then
- g.message -e 'Cannot continue (problem deleting column).'
+ g.message -e 'Cannot continue (problem deleting column)'
cleanup
exit 1
fi
else
echo "ALTER TABLE $table DROP COLUMN $col" | db.execute database=$database driver=$driver
if [ $? -eq 1 ] ; then
- g.message -e 'Cannot continue (problem deleting column).'
+ g.message -e 'Cannot continue (problem deleting column)'
cleanup
exit 1
fi
More information about the grass-commit
mailing list